Bug 1443079 - vmware_CustomizeRequest Provisioning Type: ManageIQ::Providers::Vmware::InfraManager::Provision does not match, skipping processing
Summary: vmware_CustomizeRequest Provisioning Type: ManageIQ::Providers::Vmware::Infra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: William Fitzgerald
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1431768
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 12:38 UTC by Satoe Imaishi
Modified: 2017-05-31 14:52 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1431768
Environment:
Last Closed: 2017-05-31 14:52:26 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 Tina Fitzgerald 2017-04-24 18:33:52 UTC
commit 703cb1f88afc49dd41a1ea58f4231f5ded60900f
Author: Greg McCullough <gmccullo@redhat.com>
Date:   Thu Mar 30 15:41:37 2017 -0400

    Merge pull request #81 from billfitzgerald0120/best_fit_host_maint_check
    
    Modified vmware_best_fit_least_utilized to not select Hosts in maintenance.
    (cherry picked from commit 5a79a16322d82357d0097821679bf0ec704c7352)

Comment 3 Tina Fitzgerald 2017-04-24 21:17:21 UTC
Please disregard the last comment. Here is the correct information.

Satoe Imaishi @simaishi commented 6 days ago Master 
5.8.z backport details:
$ git log -1
commit 15c0633a32470c7754bb5550aaf42015be9ea390
Author: Jason Frey <jfrey@redhat.com>
Date:   Mon Apr 17 15:12:14 2017 -0400

    Merge branch 'vmware_customrequest' into 'master'

    Automate - Modified method vmware_CustomizeRequest in RedHat domain.

    Changed the prov.type to ManageIQ::Providers::Vmware::InfraManager::Provision and
    ManageIQ::Providers::Vmware::InfraManager::ProvisionViaPxe.

    See merge request !436
    (cherry picked from commit f4d2e2da5c3354ff1fbc527c47daa4f6ddfa48fa)

    https://bugzilla.redhat.com/show_bug.cgi?id=1443079

Comment 4 Shveta 2017-04-26 16:51:40 UTC
Provisioned a vmware service request and observed that the log does not have

"vmware_CustomizeRequest Provisioning Type: ManageIQ::Providers::Vmware::InfraManager::Provision does not match, skipping processing"  anymore .

The method was executed :

<AEMethod vmware_preprovision> Template:<damnSmallLinux> Provider:<vSphere 5.5 (nested)> Vendor:<vmware> Product:<other 2.4.x linux (32-bit)> Bitness:<>


Verified in 5.8.0.12-rc1.20170425180304_4f35996

Comment 6 errata-xmlrpc 2017-05-31 14:52:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.